Bug 17407 - (NamingInconsistency): Interface naming inconsistency
Summary: (NamingInconsistency): Interface naming inconsistency
Status: CLOSED FIXED
Alias: None
Product: AudioWG - OBSOLETE - Moved to Github
Classification: Unclassified
Component: Web Audio API - OBSOLETE - See Github (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: TBD
Assignee: This bug has no owner yet - up for the taking
QA Contact: This bug has no owner yet - up for the taking
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-05 12:37 UTC by Michael[tm] Smith
Modified: 2012-10-24 09:07 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael[tm] Smith 2012-06-05 12:37:14 UTC
Audio-ISSUE-25 (NamingInconsistency): Interface naming inconsistency [Web Audio API]

http://www.w3.org/2011/audio/track/issues/25

Raised by: Marcus Geelnard
On product: Web Audio API

The naming of interfaces, such as different types of audio nodes, is quite inconsistent.

For instance:

* With or without Audio prefix? (e.g. AudioGainNode vs DelayNode)
* With or without Node suffix? (e.g. AudioPannerNode vs AudioChannelSplitter)
Comment 1 Chris Rogers 2012-10-05 18:56:54 UTC
Here is a suggested re-naming which is more consistent.  Using this naming, "Audio" is still present in AudioBufferSourceNode because "AudioBuffer" is the name of the object used by this node.  "Audio" is still present in MediaElementAudioSourceNode and MediaStreamAudioSourceNode because it's important to distinguish audio from video.

AudioBufferSourceNode
MediaElementAudioSourceNode
MediaStreamAudioSourceNode
JavaScriptAudioNode ------------> ScriptProcessorNode
RealtimeAnalyserNode ------------> AnalyserNode
AudioGainNode ------------> GainNode
DelayNode
BiquadFilterNode
AudioPannerNode ------------> PannerNode
ConvolverNode
AudioChannelSplitter ------------> ChannelSplitterNode
AudioChannelMerger ------------> ChannelMergerNode
DynamicsCompressorNode
Oscillator ------------> OscillatorNode
Comment 2 Marcus Geelnard (Opera) 2012-10-11 14:08:44 UTC
(In reply to comment #1)

Sounds good to me.
Comment 3 Chris Rogers 2012-10-16 00:24:23 UTC
Thanks Marcus, fixed:
https://dvcs.w3.org/hg/audio/rev/1b846a5bcf3e
Comment 4 Olivier Thereaux 2012-10-24 09:07:25 UTC
OP and editor happy with changes. 
No objection. 
Closing.